%define module_name PONAPI-Server
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Cmd/Setup.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(HTTP/Headers/ActionPack.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Tiny.pm) perl(JSON/MaybeXS.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(PONAPI/Document.pm) perl(PONAPI/Names.pm) perl(PONAPI/Tools.pm) perl(Path/Class.pm) perl(Plack.pm) perl(Plack/Middleware/MethodOverride.pm) perl(Pod/Perldoc.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(URI/Escape.pm) perl(YAML/XS.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003003
Release: alt1
Summary: PONAPI - Perl implementation of {JSON:API} (http://jsonapi.org/) v1.0
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MICKEY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`PONAPI::Server' is a small plack server that implements the
{json:api} specification.

You'll have to set up a repository (to provide access to the data
you want to serve) and tweak some server configurations, so
hop over to the PONAPI::Manual manpage for the next steps!

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/T*
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sun Feb 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.003003-alt1
- regenerated from template by package builder

* Fri Dec 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.003002-alt1
- regenerated from template by package builder

* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.003001-alt1
- regenerated from template by package builder

* Mon Sep 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.003000-alt1
- initial import by package builder

